Package pyxmpp :: Module interfaces :: Class IIqHandlersProvider

[hide private]

# Class IIqHandlersProvider

source code

    zope.interface.Interface --+
                               |
                   IPyXMPPHelper --+
                                   |
                                  IIqHandlersProvider

Known Subclasses:
  - IStanzaHandlersProvider

Instance Methods | [hide private]

get_iq_get_handlers() Returns iterable over (element_name, namespace) tuples. | source code

get_iq_set_handlers() Returns iterable over (element_name, namespace) tuples. | source code

Class Variables | [hide private]

| _InterfaceClass__attrs = ``{``'``get_iq_get_handlers``'``:` <zope.interfa`...``
| __bases__ = ``(`<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>`)``
| __identifier__ = ``'``pyxmpp.interfaces.IIqHandlersProvider``'``
| __iro__ = ``(`<InterfaceClass pyxmpp.interfaces.IIqHandlersProvid`...``
| __name__ = ``'``IIqHandlersProvider``'``
| __sro__ = ``(`<InterfaceClass pyxmpp.interfaces.IIqHandlersProvid`...``
| _implied = ``{`<InterfaceClass pyxmpp.interfaces.IIqHandlersProvi`...``
| dependents = `<WeakKeyDictionary at 141764972>`
Inherited from `zope.interface.Interface` (private): `_Element__tagged_values`

Method Details | [hide private]

### get_iq_get_handlers()

source code

Returns iterable over (element_name, namespace) tuples.

The tuples will be used as arguments for `Stream.set_iq_get_handler`.

### get_iq_set_handlers()

source code

Returns iterable over (element_name, namespace) tuples.

The tuples will be used as arguments for `Stream.set_iq_set_handler`.

Class Variable Details | [hide private]

### _InterfaceClass__attrs

Value:

      {'get_iq_get_handlers': <zope.interface.interface.Method object at 0x8
      7329ec>,
       'get_iq_set_handlers': <zope.interface.interface.Method object at 0x8
      732a0c>}

### __iro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### __sro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### _implied

Value:

      {<InterfaceClass pyxmpp.interfaces.IIqHandlersProvider>: (),
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>: (),
       <InterfaceClass zope.interface.Interface>: ()}